Bug 1885310 - AusweisApp2 gui doesn't work.
Summary: AusweisApp2 gui doesn't work.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: AusweisApp2
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-05 15:06 UTC by lukaskandler
Modified: 2020-12-01 00:29 UTC (History)
2 users (show)

Fixed In Version: AusweisApp2-1.20.2-10.fc33 AusweisApp2-1.20.2-10.fc32 AusweisApp2-1.20.2-10.fc31 AusweisApp2-1.20.2-10.el8
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 01:35:38 UTC
Type: Bug


Attachments (Terms of Use)

Description lukaskandler 2020-10-05 15:06:50 UTC
Description of problem:

When I start AusweisApp2 the gui doesn't load. Only the tray icon shows up (if gnome shell extension for tray icons is installed).

Version-Release number of selected component (if applicable): AusweisApp2-1.20.2-8.fc32.x86_64


How reproducible:


Steps to Reproduce:
1. install AusweisApp2
2. start AusweisApp2

Actual results: Application gui doesn't open. Just tray icon shows up


Expected results: Gui shows up


Additional info: When starting the application from gnome-terminal I get the following output:

[lukas@lukas-desktop ~]$ AusweisApp2 
QSocketNotifier: Can only be used with threads started with QThread
init       2020.10.05 17:09:23.402 17195 I printInfo(init/Bootstrap.cpp:56)                                           : ##################################################
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Application: AusweisApp2
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Application Version: 1.20.2
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Organization: 
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Organization Domain: 
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### System: Fedora 32 (Workstation Edition)
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Kernel: 5.8.12-200.fc32.x86_64
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Architecture: x86_64
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Device: lukas-desktop
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### Qt Version: 5.14.2
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:60)                                           : ### OpenSSL Version: OpenSSL 1.1.1g FIPS  21 Apr 2020
init       2020.10.05 17:09:23.403 17195 I printInfo(init/Bootstrap.cpp:62)                                           : ##################################################
secures... 2020.10.05 17:09:23.453 17195 I SecureStorage::load(secure_storage/SecureStorage.cpp:187)                  : SecureStorage successfully loaded
default    2020.10.05 17:09:23.520 17195 W unknown(unknown:0)                                                         : QQmlApplicationEngine failed to load component
default    2020.10.05 17:09:23.520 17195 W unknown(/qml/main.qml:31)                                                         : qrc:/qml/main.qml:31:1: module "QtQuick.Controls" version 2.3 is not installed
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Used session cipher QSslCipher(name=ECDHE-RSA-AES128-GCM-SHA256, bits=128, proto=TLSv1.2)
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Used session protocol: "TlsV1_2"
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Used ephemeral server key: QSslKey(PublicKey, EC, 256)
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Used peer certificate: QSslCertificate("3", "d5:b6:a4:dc:1f:d8:85:4a", "OPEtmOf3NCEwD34R8sNgNQ==", "TeleSec ServerPass Class 2 CA", "appl.governikus-asp.de", QMap((1, "appl.governikus-asp.de")), QDateTime(2017-12-01 10:47:32.000 UTC Qt::UTC), QDateTime(2020-12-06 23:59:59.000 UTC Qt::UTC))
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Used ssl session: "8565890516b2531fb76b58d27f69bb18672c7f6773c84c94793f78137b26d1a7"
network    2020.10.05 17:09:23.741 17195 I Downloader::onSslHandshakeDone(file_provider/Downloader.cpp:78)            : Handshake of tls connection done!
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Status Code: 304 "Not Modified"
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Date: Mon, 05 Oct 2020 15:09:23 GMT
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Server: Apache
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Connection: Keep-Alive
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Keep-Alive: timeout=5, max=100
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | ETag: "133b7-5ae3b393b77f3"
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Expires: Mon, 05 Oct 2020 15:29:23 GMT
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Cache-Control: max-age=1200, public
network    2020.10.05 17:09:23.769 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Vary: User-Agent
network    2020.10.05 17:09:23.798 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Status Code: 304 "Not Modified"
network    2020.10.05 17:09:23.798 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Date: Mon, 05 Oct 2020 15:09:23 GMT
network    2020.10.05 17:09:23.798 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Server: Apache
network    2020.10.05 17:09:23.798 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Connection: Keep-Alive
network    2020.10.05 17:09:23.799 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Keep-Alive: timeout=5, max=99
network    2020.10.05 17:09:23.799 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | ETag: "74af-5ad47e17ebf4b"
network    2020.10.05 17:09:23.799 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Expires: Mon, 05 Oct 2020 15:29:23 GMT
network    2020.10.05 17:09:23.799 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Cache-Control: max-age=1200, public
network    2020.10.05 17:09:23.799 17195   Downloader::onNetworkReplyFinished(file_provider/Downloader.cpp:133)       : Header | Vary: User-Agent

Comment 1 lukaskandler 2020-10-05 17:23:23 UTC
Update: After installing  qt5-qtquickcontrols2 it works. Maybe that should be a dependency.

Comment 2 wurstsemmel 2020-11-12 10:04:22 UTC
(In reply to lukaskandler from comment #1)
> Update: After installing  qt5-qtquickcontrols2 it works. Maybe that should
> be a dependency.

I can confirm that the GUI launches after installation of qt5-qtquickcontrols2. Adding this package as a dependency sounds reasonable.

Comment 3 Fedora Update System 2020-11-15 10:26:59 UTC
FEDORA-2020-518a46b6fe has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-518a46b6fe

Comment 4 Fedora Update System 2020-11-15 10:26:59 UTC
FEDORA-2020-63817963ca has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63817963ca

Comment 5 Fedora Update System 2020-11-16 00:44:10 UTC
FEDORA-EPEL-2020-5189323ef8 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5189323ef8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-16 01:33:05 UTC
FEDORA-2020-b008a8f0f2 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b008a8f0f2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b008a8f0f2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-16 01:49:51 UTC
FEDORA-2020-63817963ca has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-63817963ca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63817963ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-16 02:05:28 UTC
FEDORA-2020-518a46b6fe has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-518a46b6fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-518a46b6fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-17 01:35:38 UTC
FEDORA-2020-518a46b6fe has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-11-24 01:22:26 UTC
FEDORA-2020-63817963ca has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-11-24 02:13:19 UTC
FEDORA-2020-b008a8f0f2 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-12-01 00:29:51 UTC
FEDORA-EPEL-2020-5189323ef8 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.